Bug 1769251 - Updating the Context-Sensitive Help Links for 6.6
Summary: Updating the Context-Sensitive Help Links for 6.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Branding
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Sergei Petrosian
QA Contact: Radovan Drazny
URL:
Whiteboard:
: 1644176 1759021 1808547 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-06 09:54 UTC by Sergei Petrosian
Modified: 2020-07-28 08:08 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-5.0.1.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Sergei Petrosian 2019-11-06 09:54:11 UTC
Description of problem:
People reported several links that are incorrect in the UI.
Hosts -> Content Hosts -> Register Content Host -> Documentation reported by BZ#1759021 and BZ#1644176

Documentation for the GCE compute resource was added with the 6.6 release, hence the link in the web UI needs an update.

Maybe add specific links instead to new places in the UI.

Version-Release number of selected component (if applicable):
6.6

Additional info:
Instructions: https://mojo.redhat.com/docs/DOC-1104243

Comment 5 Sergei Petrosian 2019-11-06 12:07:06 UTC
*** Bug 1759021 has been marked as a duplicate of this bug. ***

Comment 6 Sergei Petrosian 2019-11-06 12:07:57 UTC
*** Bug 1644176 has been marked as a duplicate of this bug. ***

Comment 9 Sergei Petrosian 2019-11-08 12:18:30 UTC
Hi lzap,

I am trying to improve UX with documentation buttons in the Satelltei web UI. We bumped upon an issue that must be fixed upstream first. Can you please take a look?

As can be seen from the grep command below, the "Provisioning" documentation button is used on two pages, on /hosts/help and /domains/help. Now the link for "Provisioning" documentation button refers to "/provisioning_guide". It is fine for both cases, however, it is definitely better to create unique links for each page. Is this possible to define different links for each of these buttons?

~~~~
$ grep -R --include *.*rb "Provisioning\")%" foreman/
foreman/app/views/domains/welcome.html.erb:  <p><%= link_to _('Learn more about this in the documentation.'), documentation_url("4.4Provisioning")%></p>
foreman/app/views/hosts/welcome.html.erb:  <p><%= link_to _('Learn more about this in the documentation.'), documentation_url("4.4Provisioning")%></p>
~~~~

Thank you

Comment 11 Lukas Zapletal 2019-11-20 15:47:19 UTC
Hello, apologies for the delay. I was on PTO.

What is the status here?

Comment 12 Sergei Petrosian 2019-11-20 16:19:59 UTC
(In reply to Lukas Zapletal from comment #11)
> Hello, apologies for the delay. I was on PTO.
> 
> What is the status here?

What I asked you in comment#10 still stands. For now, the button in both places leads to the same place, which is the Administering guide. This works fine, but this is not ideal. Simon suggested changing this upstream, then we will be able to set this properly in the downstream. Do you know how to set different documentation buttons in those places?

Thank you

Comment 13 Lukas Zapletal 2019-11-22 13:16:12 UTC
I don't know exactly how the branding plugin works yet, however do you want from me to change those lines to link to some different unique archor? Then we could do something like:

foreman/app/views/domains/welcome.html.erb:  <p><%= link_to _('Learn more about this in the documentation.'), documentation_url("4.4Provisioning")%></p>
foreman/app/views/hosts/welcome.html.erb:  <p><%= link_to _('Learn more about this in the documentation.'), documentation_url("4.4.7Networking")%></p>

Feel free to file a patch against Foreman core with such change if that makes life easier for you. I do not recommend some big refactoring of upstream docs tho, we are hopefully migrating to upstreamized satellite documentation next year.

Comment 17 Sergei Petrosian 2019-11-26 10:16:34 UTC
Hi Shimon,

I like the idea lzap had suggested to use the 4.4.7Networking button for domains help. This button is also used on the Subnets page, and we describe creating both domains and subnets in the COnfiguring Networking section in the Provisioning guide.

I have created a Redmine issue [1] and pushed a PR [2], and lzap has already merged it to the Foreman development branch. lzap told me that he will try to make this change cherry-picked downstream for 6.7.

[1] https://projects.theforeman.org/issues/28334

[2] https://github.com/theforeman/foreman/pull/7196

Thank you

Comment 18 Radovan Drazny 2020-02-17 14:03:19 UTC
I'm going through all updated links (I hope, because this BZ doesn't explicitly say which links has changed, so I'm using linked PRs to see what links should get checked). I have found a context sensitive link that points to unbranded Foreman documentation. Go to Monitor->Audits and click the Documentation button. You will get https://theforeman.org/manuals/1.24/index.html#4.1.4Auditing instead of official doc on access.redhat.com. Which part of docs should this link point to I don't know. Only mention of Audits I have found in the official docs is here: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.7-beta/html/administering_red_hat_satellite/chap-red_hat_satellite-administering_red_hat_satellite-maintaining_a_red_hat_satellite_server#sect-Red_Hat_Satellite-Administering_Red_Hat_Satellite-Deleting_Audit_Records

Sergei, can we fix this in this BZ, or should I submit a new separate BZ?

Comment 19 Sergei Petrosian 2020-02-21 15:37:15 UTC
Hi Radovan,

The link that you shared contains the only procedures related to Satellite. Also, there is some context information about what Audits do in the Planning guide, direct link:
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.6/html/planning_for_red_hat_satellite_6/appe-red_hat_satellite-architecture_guide-glossary_of_terms#varl-Glossary_of_Terms-Audits

By default, all not-defined Satellite documentation buttons must point to the Admin guide. The fact that this link points to Foreman probably means that this link will require some more work.

> Sergei, can we fix this in this BZ, or should I submit a new separate BZ?
I will definitely file another bug to review links for 6.7 GA. I know that the new Azure CR was added so we will need to add a link from this Azure CR page to docs.

Thank you

Comment 20 Radovan Drazny 2020-03-11 14:03:33 UTC
I have checked all context sensitive links I could find in Satellite 6.7. No real problems found. The non-branded link mentioned in comment #18 is tracked in BZ1771484.

Comment 23 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454

Comment 24 vijsingh 2020-07-28 08:08:50 UTC
*** Bug 1808547 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.